curl --request GET \
--url "https://api.roe-ai.com/v1/agents/YOUR_AGENT_ID/versions/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"
[
[
{
"id": "456e7890-e89b-12d3-a456-426614174001",
"version_name": "version 1",
"description": "Initial version",
"input_definitions": [
{
"key": "input_text",
"description": "Text to process",
"data_type": "text/plain"
}
],
"engine_config": {
"model": "gpt-4",
"temperature": "0.7"
},
"created_at": "2024-01-15T10:30:00Z",
"readonly": false
}
]
]{
"detail": "<string>"
}{
"detail": "<string>"
}List Agent Versions
Retrieve a list of versions for a specific agent.
curl --request GET \
--url "https://api.roe-ai.com/v1/agents/YOUR_AGENT_ID/versions/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"
[
[
{
"id": "456e7890-e89b-12d3-a456-426614174001",
"version_name": "version 1",
"description": "Initial version",
"input_definitions": [
{
"key": "input_text",
"description": "Text to process",
"data_type": "text/plain"
}
],
"engine_config": {
"model": "gpt-4",
"temperature": "0.7"
},
"created_at": "2024-01-15T10:30:00Z",
"readonly": false
}
]
]{
"detail": "<string>"
}{
"detail": "<string>"
}curl --request GET \
--url "https://api.roe-ai.com/v1/agents/YOUR_AGENT_ID/versions/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"
Authorizations
Organization API key passed as a Bearer token. This is the scheme used by the public SDK surface.
Path Parameters
A UUID string identifying the base agent.
Query Parameters
Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.
Response
Successfully retrieved list of agent versions.
Version name for the agent version. Defaults to 'unnamed version' if not provided.
Get engine_class_id from base_agent.
Engine Display Name
True when this engine has a built-in memory profile, so memory profiles can be configured on it. Independent of whether memory is currently switched on.
List of input definitions for this agent version.
Show child attributes
Show child attributes
Engine configuration.
Connector write actions configured on this version.
Show child attributes
Show child attributes
Organization ID from base_agent.
Serializer for BaseAgent (agent config)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Description of the agent version.